Uploaded image for project: 'Apache Onami'
  1. Apache Onami
  2. ONAMI-28

Do not use code from com.google.inject.internal

    Details

      Description

      1. Those classes are internals and are subject to change (not a public API/SPI);
      2. Guice do not export those packages in manifest so it will not resolve under OSGi.

        Attachments

        1. ONAMI-28.patch
          2 kB
          Mikhail Mazurskiy
        2. ONAMI-28-IAE.patch
          2 kB
          Mikhail Mazurskiy

          Activity

            People

            • Assignee:
              simone.tripodi Simone Tripodi
              Reporter:
              ash2k Mikhail Mazurskiy
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: